import * as $dara from '@darabonba/typescript';
import { UpdateVirtualPhysicalConnectionResponseBody } from "./UpdateVirtualPhysicalConnectionResponseBody";
export declare class UpdateVirtualPhysicalConnectionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateVirtualPhysicalConnectionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
